boost::geometry::detail::vincenty_inverse< CT, EnableDistance, EnableAzimuth > Struct Template Reference

The solution of the inverse problem of geodesics on latlong coordinates, after Vincenty, 1975. More...

List of all members.

## Public Types

typedef result_inverse< CT > | result_type

## Static Public Member Functions

template<typename T1 , typename T2 , typename Spheroid >
static result_type | apply (T1 const &lon1, T1 const &lat1, T2 const &lon2, T2 const &lat2, Spheroid const &spheroid)

## Detailed Description

### template<typename CT, bool EnableDistance, bool EnableAzimuth>
struct boost::geometry::detail::vincenty_inverse< CT, EnableDistance, EnableAzimuth >

The solution of the inverse problem of geodesics on latlong coordinates, after Vincenty, 1975.

Author:
  See
  - http://www.ngs.noaa.gov/PUBS_LIB/inverse.pdf
  - http://www.icsm.gov.au/gda/gdav2.3.pdf
  Adapted from various implementations to get it close to the original document
  - http://www.movable-type.co.uk/scripts/LatLongVincenty.html
  - http://exogen.case.edu/projects/geopy/source/geopy.distance.html
  - http://futureboy.homeip.net/fsp/colorize.fsp?fileName=navigation.frink

## Member Typedef Documentation

template<typename CT , bool EnableDistance, bool EnableAzimuth>

typedef result_inverse<CT> boost::geometry::detail::vincenty_inverse< CT, EnableDistance, EnableAzimuth >::result_type

## Member Function Documentation

template<typename CT , bool EnableDistance, bool EnableAzimuth>
template<typename T1 , typename T2 , typename Spheroid >

static result_type boost::geometry::detail::vincenty_inverse< CT, EnableDistance, EnableAzimuth >::apply | ( | T1 const & | lon1,
|  | T1 const & | lat1,
|  | T2 const & | lon2,
|  | T2 const & | lat2,
|  | Spheroid const & | spheroid
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK